import logging
LOG_FILENAME = 'D:\\Documents\\MyApps\\D600Parser\\main.log'
logging.basicConfig(filename=LOG_FILENAME,level=logging.DEBUG,)

ch = logging.StreamHandler()
ch.setLevel(logging.DEBUG)
formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")
ch.setFormatter(formatter)

applogger = logging.getLogger("D600.app ")
applogger.setLevel(logging.DEBUG)
applogger.addHandler(ch)
applogger.info('App Logging started')

connectionlogger = logging.getLogger("D600.conn")
connectionlogger.setLevel(logging.DEBUG)
connectionlogger.addHandler(ch)

DOMlogger = logging.getLogger("D600.DOM ")
DOMlogger.setLevel(logging.DEBUG)
DOMlogger.addHandler(ch)
