
class Lexeme:
    def __init__(self, text):
        self.text = text

    def text(self):
        return self.text

class LexemeWord (Lexeme):
    def __str__(self):
        return "[Word:"+self.text+"]"

class LexemeQuotedString (Lexeme):
    def __str__(self):
        return "[QuotedString:"+self.text+"]"

class LexemeSTXQuotedString (Lexeme):
    def __str__(self):
        return "[STXQuotedString:"+self.text+"]"

class LexemePascalString(Lexeme):
    def __str__(self):
        return "[PascalString:"+self.text+"]"

class LexemeComma (Lexeme):
    def __str__(self):
        return "[,]"

class LexemeWhitespace (Lexeme):
    def __str__(self):
        return "[LexemeWhitespace]"+self.text # No brackets

class LexemeOK(Lexeme):
    def __str__(self):
        return "[OK]"

class LexemeError(Lexeme):
    def __str__(self):
        return "[ERROR]"
